- [HTTP request](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.SqlInstancesAcquireSsrsLeaseResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#body.aspect)
- [InstancesAcquireSsrsLeaseRequest](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#InstancesAcquireSsrsLeaseRequest)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#InstancesAcquireSsrsLeaseRequest.SCHEMA_REPRESENTATION)
- [Examples](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#try-it)

Acquire a lease for the setup of SQL Server Reporting Services (SSRS).

### HTTP request

`POST https://sqladmin.googleapis.com/sql/v1beta4/projects/{project}/instances/{instance}/acquireSsrsLease`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. ID of the project that contains the instance (Example: project-id). |
| `instance` | `string` Required. Cloud SQL instance ID. This doesn't include the project ID. It's composed of lowercase letters, numbers, and hyphens, and it must start with a letter. The total length must be 98 characters or less (Example: instance-id). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/instances/acquireSsrsLease#InstancesAcquireSsrsLeaseRequest`.

### Response body

Acquire SSRS lease response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "operationId": string } ``` |

| Fields ||
|---|---|
| `operationId` | `string` The unique identifier for this operation. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## InstancesAcquireSsrsLeaseRequest

Request to acquire an SSRS lease for an instance.

| JSON representation |
|---|
| ``` { "acquireSsrsLeaseContext": { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/operations#AcquireSsrsLeaseContext`) } } ``` |

| Fields ||
|---|---|
| `acquireSsrsLeaseContext` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/operations#AcquireSsrsLeaseContext`)`` Contains details about the acquire SSRS lease operation. |